<div class="shopping-cart">
  <nb-card>
    <nb-card-header>
      <h1>Your cart</h1>
    </nb-card-header>

    <nb-card-body>
      <div class="list" *ngIf="cartItems.length">
        <nb-list>
          <nb-list-item *ngFor="let cartItem of cartItems" class="d-flex">
            <div class="flex-grow-1 d-flex align-items-center">
              <h6 class="m-0 mr-4"> {{ cartItem.meal.name }} </h6>
              <h6 class="m-0 mr-2">{{ cartItem.meal.price | currency }} </h6>
              <h6 class="m-0 mr-2">x</h6>
              <h6 class="m-0 mr-2">{{ cartItem.count }} </h6>
              <h6 class="m-0 mr-2">=</h6>
              <h6 class="m-0 mr-2">{{ (cartItem.count * cartItem.meal.price) | currency }} </h6>
            </div>

            <app-meal-counter [count]="cartItem.count" (countChanged)="cartItem.count = $event"></app-meal-counter>
          </nb-list-item>
        </nb-list>

        <div class="d-flex mt-3 justify-content-end">
          <h5>Total: {{ getTotal() | currency }}</h5>
        </div>
      </div>

      <ng-container *ngIf="cartItems.length === 0">
        <nb-alert outline="info" class="mt-5">Oops! Your list is empty! Add some meals :)</nb-alert>
      </ng-container>
    </nb-card-body>

    <nb-card-footer *ngIf="cartItems.length" class="d-flex justify-content-between">
      <button nbButton (click)="clearCart()" status="warning">
        Clear list
      </button>

      <button nbButton (click)="order()">
        Order
      </button>
    </nb-card-footer>
  </nb-card>
</div>
